/*
 * Copyright (C) 2003-2004 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
//  without xmlns='SYNCML:SYNCML1.1' server has been able to authenticate client!
const wchar_t* DMxmlInit1Clear  = TEXT("<SyncML>\n<SyncHdr>\n<VerDTD>1.1</VerDTD>\n<VerProto>DM/1.1</VerProto>\n<SessionID>%s</SessionID>\n<MsgID>%i</MsgID>\n<Target><LocURI>%s</LocURI></Target>\n<Source><LocURI>%s</LocURI></Source>\n<Cred>\n<Meta><Type xmlns='syncml:metinf'>syncml:auth-clear</Type></Meta>\n<Data>%s:%s</Data>\n</Cred>\n<Meta>\n<MaxMsgSize xmlns='syncml:metinf'>10000</MaxMsgSize>\n<MaxObjSize xmlns='syncml:metinf'>20000</MaxObjSize>\n</Meta>\n</SyncHdr>\n<SyncBody>\n%s<Alert>\n<CmdID>%i</CmdID>\n<Data>%s</Data>\n</Alert>\n");
const wchar_t* DMxmlInit1Md5    = TEXT("<SyncML>\n<SyncHdr>\n<VerDTD>1.1</VerDTD>\n<VerProto>DM/1.1</VerProto>\n<SessionID>%s</SessionID>\n<MsgID>%i</MsgID>\n<Target><LocURI>%s</LocURI></Target>\n<Source><LocURI>%s</LocURI></Source>\n<Cred>\n<Meta><Format xmlns='syncml:metinf'>b64</Format><Type xmlns='syncml:metinf'>syncml:auth-md5</Type></Meta>\n<Data>%s</Data>\n</Cred>\n<Meta>\n<MaxMsgSize xmlns='syncml:metinf'>10000</MaxMsgSize>\n<MaxObjSize xmlns='syncml:metinf'>20000</MaxObjSize>\n</Meta>\n</SyncHdr>\n<SyncBody>\n%s<Alert>\n<CmdID>%i</CmdID>\n<Data>%s</Data>\n</Alert>\n");

const wchar_t* DMxmlInit2       = TEXT("\n<Final/>\n</SyncBody>\n</SyncML>");

const wchar_t* DMxmlReplaceStatus = TEXT("<Status>\n<CmdID>%i</CmdID>\n<MsgRef>%i</MsgRef>\n<CmdRef>%s</CmdRef>\n<Cmd>Replace</Cmd>\n%s\n<Data>%i</Data>\n</Status>\n");
const wchar_t* DMxmlExecStatus    = TEXT("<Status>\n<CmdID>%i</CmdID>\n<MsgRef>%i</MsgRef>\n<CmdRef>%s</CmdRef>\n<Cmd>Exec</Cmd>\n%s\n<Data>%i</Data></Status>\n"); 
const wchar_t* DMxmlGetStatus     = TEXT("<Status>\n<CmdID>%i</CmdID>\n<MsgRef>%i</MsgRef>\n<CmdRef>%s</CmdRef>\n<Cmd>Get</Cmd>\n%s\n<Data>%i</Data>\n</Status>\n"); // <TargetRef>%s</TargetRef>\n

const wchar_t* DMxmlResults       = TEXT("<Item>\n<Source>\n<LocURI>%s</LocURI>\n</Source>\n"); // <TargetRef>%s</TargetRef>\n
const wchar_t* DMxmlResultsIsNode = TEXT("<Meta>\n<Format>node</Format>\n<Type>text/plain</Type>\n</Meta>\n");
const wchar_t* DMxmlResultsEnd    = TEXT("<Data>%s</Data>\n</Item>\n");

const wchar_t* DMxmlCompleteResults  = TEXT("<Results>\n<CmdID>%i</CmdID>\n<MsgRef>%i</MsgRef>\n<CmdRef>%s</CmdRef>\n%s</Results>\n"); // <TargetRef>%s</TargetRef>\n

const wchar_t* DMxmlAuthStatus    = TEXT("<Status>\n<CmdID>%i</CmdID>\n<MsgRef>%i</MsgRef>\n<CmdRef>%s</CmdRef>\n<Cmd>SyncHdr</Cmd>\n<TargetRef>%s</TargetRef>\n<SourceRef>%s</SourceRef>\n<Data>200</Data>\n</Status>\n");

const wchar_t* DMxmlCmdStatus1  = TEXT("<SyncML>\n<SyncHdr>\n<VerDTD>1.1</VerDTD>\n<VerProto>DM/1.1</VerProto>\n<SessionID>%s</SessionID>\n<MsgID>%i</MsgID>\n<Target><LocURI>%s</LocURI></Target>\n<Source><LocURI>%s</LocURI></Source>\n</SyncHdr>\n<SyncBody>\n");
const wchar_t* DMxmlCmdStatus2  = TEXT("\n<Final/>\n</SyncBody>\n</SyncML>");